Bug 394221 - Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller defect
Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller defect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 09:39 EST by Damian Myerscough
Modified: 2008-10-21 13:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.6.26.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 13:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Myerscough 2007-11-21 09:39:32 EST
Description of problem:
Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller is unable to
receive an IP address of a DHCP server, also setting an IP address manually
works fine but when trying to communicate with another IP the address is
reported as "Destination unreachable". 

Version-Release number of selected component (if applicable):
This defect is on Fedora 8


How reproducible:
Install a Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No network connectivity

Expected results:
Network connectivity 

Additional info:
[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35 Express DRAM Controller
(rev 0a)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35 Express PCI Express Root
Port (rev 0a)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7300 LE] (rev a1)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 02)



05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 02)
        Subsystem: Fujitsu Siemens Computer GmbH Unknown device 10b1
        Flags: bus master, fast devsel, latency 0, IRQ 16
        I/O ports at 2000 [size=256]
        Memory at f0010000 (64-bit, prefetchable) [size=4K]
        Memory at f0000000 (64-bit, prefetchable) [size=64K]
        [virtual] Expansion ROM at f0020000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1
Enable-
        Capabilities: [70] Express Endpoint IRQ 1
        Capabilities: [b0] MSI-X: Enable- Mask- TabSize=2
        Capabilities: [d0] Vital Product Data


[root@localhost ~]# lsmod | grep -i r8
r8169                  27589  0 


[root@localhost ~]# service network restart
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  
Determining IP information for eth0... failed; no link present.  Check cable?
                                                           [FAILED]
[root@localhost ~]#
Comment 1 Damian Myerscough 2007-11-21 10:01:48 EST
The network cable has been check and test on multiple systems. 
Comment 2 Christopher Brown 2008-02-13 18:33:59 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 3 I. Piasecki 2008-03-15 06:17:57 EDT
Hi.

I use Fedora 8 with the latest kernel 2.6.24.3 mad this kernel didn't up this
network card any more in my asus laptop. With kernel 2.6.23.15 all is ok. It's
in some way a regresion.
Comment 4 Thomas Chung 2008-03-18 01:55:54 EDT
Same situation with my Toshiba Satellite A135-S7404 with Realtek Ethernet.

# lspci | grep -i real
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E PCI
Express Fast Ethernet controller (rev 01)

Can't get the eth0 up during the boot time with kernel-2.6.24.3-12.fc8 and
kernel-2.6.24.3-34.fc8

Switching back to older kernel such as kernel-2.6.23.15-137.fc8 for now. 
Comment 5 Ben Bodenstein 2008-05-05 18:03:38 EDT
So this is actually a bug in the kernel? I've got the same problem with a MSI
945GCM7 motherboard with Intel 945GC Express Chipset. The only way I could solve
this one was to put a PCI Ethernet card on the motherboard and disable the
onboard adapter.
Comment 6 I. Piasecki 2008-05-05 18:59:42 EDT
Yeap ! And my laptop goies to a trash. What for i need laptop without network
connectivity ? What a ugly bug, when things was worked very well in kernel
2.6.23.15 ... Agh $%$%$%$.
Comment 7 Jesus M. Rodriguez 2008-07-08 16:20:12 EDT
2.6.23.1-42.fc8 works, using the latest f8 kernel: 2.6.25.9-40.fc8 does not work.
F9 didn't work at all for me with the default kernel it ships with either.
Comment 8 I. Piasecki 2008-07-08 16:29:26 EDT
For me it is fixed. I use the latest kernel for Fedora9 and it is working.
Comment 9 Josep 2008-09-06 05:04:25 EDT
This bug might be related or a duplicated of Bug #438046 (F8), Bug #444966 (F9), Bug #449094, and probably others (Bug #446980).

In my experience I managed to get the NIC working with:
$ rmmod r8169; modprobe r8169

I also noticed that the rtl8111 issued a huge amount of interrupts in only a few seconds after boot (see #444966):
$ grep ethp /proc/interrupts
 16:   37171129   IO-APIC-fasteoi   eth0

In my case, this is still an issue in F9 and Rawhide (F10 alpha).
Comment 10 Aaron Clark 2008-10-02 21:28:47 EDT
I was seeing this issue as well and had been sticking on the kernel-xen packages instead while it persisted.  It appears to be fixed on the following (recent) kernels:
2.6.26.5-28.fc8 (Fedora 8 64bit)
2.6.27-0.352.rc7.git1.fc10.x86_64 (Fedora 10 Beta LiveCD 64bit)

Note You need to log in before you can comment on or make changes to this bug.